SCATPLT_INIT(3)

EXPERIMENTAL_FUNC
scatplt_init - Initialise the package for a particular canvas.

SYNOPSIS
#include <karma_scatplt.h>

void scatplt_init

(KWorldCanvas canvas, ...)

DESCRIPTION
This routine will initialise the <-scatplt-> package for a particular world canvas. Calling this routine causes a number of callback routines internal to the package to be registered with the canvas (such as refresh and position event callbacks). This routine must be called before creating scatter plots.

canvas
    The world canvas object.

... The list of parameter attribute-key attribute-value-ptr pairs must follow. This list must be terminated with the SCATPLT_CANVAS_ATT_END. See <-scatplt_CANVAS_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/